Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.plugins.javascript
Class JScriptShell

public class JScriptShell
implements IPlatformRunnable

JavaScript shell. Can execute scripts interactively or in batch mode at the command line.

todo processFile
pending usage message, errorReporter, options: -e, -w, exit from context

Field Summary
`final static String` | `BIOUML_MODULES`
`final static String` | `EVALUATE`
`final static String` | `OPTIMISATION_LEVEL`
`final static String` | `PROCESS_FILE`
`final static String` | `REPORT_WARNINGS`
`final static String` | `VERSION`

Method Summary
`InputStream` | `getInputStream()`
`void` | `print(String msg)`
`void` | `println(String msg)`
`Object` | `run(Object arg)` Top level function that starts the shell.
`void` | `setInputStream(InputStream in)`
`void` | `usage(String s)` Print a usage message.

Field Detail

### BIOUML_MODULES

    public final static String BIOUML_MODULES

### EVALUATE

    public final static String EVALUATE

### OPTIMISATION_LEVEL

    public final static String OPTIMISATION_LEVEL

### PROCESS_FILE

    public final static String PROCESS_FILE

### REPORT_WARNINGS

    public final static String REPORT_WARNINGS

### VERSION

    public final static String VERSION

Method Detail

### getInputStream

    public InputStream getInputStream()

### print

    public void print(String msg)

### println

    public void println(String msg)

### run

    public Object run(Object arg)

  Top level function that starts the shell.

### setInputStream

    public void setInputStream(InputStream in)

### usage

    public void usage(String s)

  Print a usage message.
  pending provide own implementation

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class org.apache.log4j.Category

to Class java.util.ArrayList

to Class java.io.InputStream

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM